cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Not applicable

How (or where) can I find out what version of XSLT stylesheet can I use with our Nintex Workflow 2010 (rel. 2.2.3.0)?

Jump to solution

As I googled, there are some differences between v1.0 and 2.0 of XSLT stylesheet, so I want to know, which version of this standard I use?! Or may I choose it using xsl:stylesheet tag in my xml document?:

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

Thanks for any hint.

#JK

0 Kudos
Reply
4 Replies
Not applicable

Re: How (or where) can I find out what version of XSLT stylesheet can I use with our Nintex Workflow 2010 (rel. 2.2.3.0)?

Jump to solution

I found out, that I can retrieve version of XSLT interpreter using function:

<xsl:value-of select="system-property('xsl:version')"/>

so now I know, that my version of XSLT is 1 even though I specified "

<xsl:stylesheet version="2.0"

"...

My new question is: I am able to use XSLT v2.0 with Nintex Workflow 2010? How?

#JK

0 Kudos
Reply
akrasheninnikov
Nintex Newbie

Re: How (or where) can I find out what version of XSLT stylesheet can I use with our Nintex Workflow 2010 (rel. 2.2.3.0)?

Jump to solution

I think you can't. As far as I know, Microsoft decided not to implement XSLT 2.0 in .NET:

Why You Won't See XSLT 2.0 or XPath 2.0 in the Next Version of the .NET Framework - Dare Obasanjo's ...

StackOverflow has nothing to confront this: XPath and XSLT 2.0 for .NET? - Stack Overflow

Reply
jimmy_hang
Nintex Newbie

Re: How (or where) can I find out what version of XSLT stylesheet can I use with our Nintex Workflow 2010 (rel. 2.2.3.0)?

Jump to solution

Alexey is correct, SharePoint 2013 only supports XSLT v.1.0

Cheers

Reply
lonesurvivor
Nintex Newbie

Re: How (or where) can I find out what version of XSLT stylesheet can I use with our Nintex Workflow

Jump to solution

Is this still valid for SharePoint 2016?

0 Kudos
Reply